# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Nov  7 15:32:13 2023
# ------------------------------------------------

package:
  name: overrides
  version: 7.4.0
source:
  sha256: 9502a3cca51f4fac40b5feca985b6703a5c1f6ad815588a7ca9e285b9dca6757
  url: https://pypi.io/packages/source/o/overrides/overrides-7.4.0.tar.gz
build:
  number: '0'
  script: /croot/overrides_1699371140756/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.08.22 h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.12 h7f8727e_0
    - pip 23.3 py311h06a4308_0
    - python 3.11.5 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.0.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py311h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - python >=3.11,<3.12.0a0
test:
  commands:
    - pip check
  imports:
    - overrides
  requires:
    - pip
about:
  description: 'A decorator @override that verifies that a method that should override
    an inherited method actually does it.

    Copies the docstring of the inherited method to the overridden method.

    Since signature validation and docstring inheritance are performed on class creation
    and not on class instantiation,

    this library significantly improves the safety and experience of creating class
    hierarchies in Python without

    significantly impacting performance.

    '
  dev_url: https://github.com/mkorpela/overrides
  doc_url: https://github.com/mkorpela/overrides
  home: https://github.com/mkorpela/overrides
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: A decorator to automatically detect mismatch when overriding a method
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 605f612b-e053-4b23-80a7-d4e653728b29
  recipe-maintainers:
    - cbouss
  remote_url: git@github.com:AnacondaRecipes/overrides-feedstock.git
  sha: 741165bebc5418343724745ff9a3175478ce907b
